{
  pkgs,
  lib,
  config,
  osConfig,
  system,
  inputs,
  ...
}: let
  color = config.lib.stylix.colors.withHashtag;
in
  with lib; {
    options.mods.desktop.productivity.enable =
      lib.mkEnableOption "enables gui productivity tools";

    config = lib.mkIf config.mods.desktop.productivity.enable {
      home.packages = with pkgs; [
        # ISO downloader
        qbittorrent
        # xd
        # biglybt
        # transmission_4-gtk

        # email
        thunderbird

        # webgl
        # mullvad-browser

        # password manager
        bitwarden-desktop

        # file management
        libsForQt5.breeze-icons
        libsForQt5.qt5ct

        # documents
        # texliveFull
        # texstudio

        # 3D
        blender
      ];

      # qt.platformTheme = "qtct";

      home.sessionVariables.BROWSER = "librewolf";
      programs.zsh.sessionVariables.BROWSER = "librewolf";

      services.flameshot = {
        enable = false;
        settings = {
          General = {
            disabledTrayIcon = true;
            showStartupLaunchMessage = false;
            startupLaunch = false;

            uiColor = color.base01;
            contrastUiColor = color.base00;
          };
        };
      };

      programs.librewolf = {
        enable = false;
        settings = {
          "webgl.disabled" = true;
          "privacy.resistFingerprinting" = true;
          "privacy.clearOnShutdown.history" = false;
          "privacy.clearOnShutdown.cookies" = false;
          "network.cookie.lifetimePolicy" = 0;
        };
      };

      xdg.desktopEntries = lib.mkIf osConfig.mods.i2p.enable {
        i2p-browser = {
          name = "i2p Browser";
          genericName = "Web Browser";
          exec = "${pkgs.mullvad-browser}/bin/mullvad-browser -p i2p";
        };
      };
    };
  }
